REM
REM This example contains programming source code (Sample Code) for your use in learning.  IBM 
REM grants you a nonexclusive copyright license to use this Sample Code for the purpose of 
REM learning and as an example from which you can generate similar function tailored to your 
REM own specific needs. This Sample Code is provided by IBM for illustrative purposes only 
REM and has not been thoroughly tested under all conditions.  IBM, therefore, cannot guarantee
REM or imply reliability, serviceability, or function of this Sample Code.  IBM provides no 
REM program services for this Sample Code.  All Sample Code contained herein is provided to 
REM you "AS IS" without any warranties of any kind.  
REM
REM THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND 
REM NON-INFRINGMENT ARE EXPRESSLY DISCLAIMED.  SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION 
REM OF IMPLIED WARRANTIES, SO THE ABOVE EXCLUSIONS MAY NOT APPLY TO YOU.  IN NO EVENT WILL 
REM IBM BE LIABLE TO ANY PARTY FOR ANY DIRECT, INDIRECT, SPECIAL OR OTHER CONSEQUENTIAL 
REM DAMAGES FOR ANY USE OF THIS SAMPLE CODE INCLUDING, WITHOUT LIMITATION, ANY LOST 
REM PROFITS, BUSINESS INTERRUPTION, LOSS OF PROGRAMS OR OTHER DATA ON YOUR INFORMATION 
REM HANDLING SYSTEM OR OTHERWISE, EVEN IF WE ARE EXPRESSLY ADVISED OF THE POSSIBILITY OF 
REM SUCH DAMAGES.
REM
REM (C) Copyright IBM Corp. 2001-2003
REM All rights reserved.
REM US Government Users Restricted Rights -
REM Use, duplication, or disclosure restricted
REM by GSA ADP Schedule Contract with IBM Corp.
REM Licensed Materials - Property of IBM.
REM
@echo off
title Installing and Configuring the IBM WebShpere UDDI Registry
echo.
echo.
echo.
echo About to install and configure the IBM WebSphere UDDI Registry
echo.
echo.
echo This setup file is invoked as follows:
echo    SetupUDDI.bat 'db2uid' 'db2pwd' 'WebSphereNodename'
echo         For example, SetupUDDI.bat wsdemo wsdemo1 mynodename
echo.
echo Assumptions: (however, these values can be overriden in setupVARs.bat
echo.
echo    WebSphere Application Server is installed in C:\WebSphere\AppServer
echo    DB2 UDB V7.2 is installed in C:\SQLLIB
echo    Lab files have been expaneded to C:\ drive
echo. 
echo The batch files has the assumptions coded as parameters. If you have
echo products installed to different locations, update the SET variablename="..."
echo accordingly.
echo.
call ..\..\setupVARs.bat
pause
echo Copying the UDDI.ear file to \%WEBSPHERE_APPSERVER_ROOT%\installableApps directory
%WEBSPHERE_APPSERVER_INSTALLDRIVE%
cd \%WEBSPHERE_APPSERVER_ROOT%\installableApps
copy %WEBSPHERE_ND_INSTALLDRIVE%\%WEBSPHERE_DEPLOYMENTMANAGER_ROOT%\installableApps\uddi.ear
echo About to copy the UDDI.properties file to \%WEBSPHERE_APPSERVER_ROOT%\properties
echo.
echo ----- Have you updated the properties files as directed? -----
echo.
echo   If no, hit Ctrl-C now and update the uddi.properties file!
echo.
pause
cd \%WEBSPHERE_APPSERVER_ROOT%\properties
copy %WEBSPHERE_ND_INSTALLDRIVE%\%WEBSPHERE_DEPLOYMENTMANAGER_ROOT%\properties\uddi.properties
echo Copying the UDDI Resource Bundle jars to \%WEBSPHERE_APPSERVER_ROOT%\lib
cd \%WEBSPHERE_APPSERVER_ROOT%\lib
copy %WEBSPHERE_ND_INSTALLDRIVE%\%WEBSPHERE_DEPLOYMENTMANAGER_ROOT%\lib\uddiresourcebundles.jar
copy %WEBSPHERE_ND_INSTALLDRIVE%\%WEBSPHERE_DEPLOYMENTMANAGER_ROOT%\lib\setupuddimessages.jar
title Command Prompt
%WEBSPHERE_APPSERVER_INSTALLDRIVE%
cd \%WEBSPHERE_APPSERVER_ROOT%\bin
echo wsadmin -f %WEBSPHERE_ND_INSTALLDRIVE%/%WEBSPHERE_DEPLOYMENTMANAGER_ROOT_USEDWITHWSADMIN%/UDDIReg/scripts/appserversetupuddi.jacl %WEBSPHERE_APPSERVER_INSTALLDRIVE%/%WEBSPHERE_APPSERVER_ROOT_USEDWITHWSADMIN%/installableApps/uddi.ear server1 %3 %WEBSPHERE_APPSERVER_INSTALLDRIVE%/%WEBSPHERE_APPSERVER_ROOT_USEDWITHWSADMIN%/lib uddi20 %1 %2 %DB2INSTALLDRIVE%%DB2INSTALLDIRECTORY_USEDWITHWSADMIN%/java/db2java.zip
call wsadmin -f %WEBSPHERE_ND_INSTALLDRIVE%/%WEBSPHERE_DEPLOYMENTMANAGER_ROOT_USEDWITHWSADMIN%/UDDIReg/scripts/appserversetupuddi.jacl %WEBSPHERE_APPSERVER_INSTALLDRIVE%/%WEBSPHERE_APPSERVER_ROOT_USEDWITHWSADMIN%/installableApps/uddi.ear server1 %3 %WEBSPHERE_APPSERVER_INSTALLDRIVE%/%WEBSPHERE_APPSERVER_ROOT_USEDWITHWSADMIN%/lib uddi20 %1 %2 %DB2INSTALLDRIVE%%DB2INSTALLDIRECTORY_USEDWITHWSADMIN%/java/db2java.zip