//
// This example contains programming source code (Sample Code) for your use in learning.  IBM 
// grants you a nonexclusive copyright license to use this Sample Code for the purpose of 
// learning and as an example from which you can generate similar function tailored to your 
// own specific needs. This Sample Code is provided by IBM for illustrative purposes only 
// and has not been thoroughly tested under all conditions.  IBM, therefore, cannot guarantee
// or imply reliability, serviceability, or function of this Sample Code.  IBM provides no 
// program services for this Sample Code.  All Sample Code contained herein is provided to 
// you "AS IS" without any warranties of any kind.  
//
// THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND 
// NON-INFRINGMENT ARE EXPRESSLY DISCLAIMED.  SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION 
// OF IMPLIED WARRANTIES, SO THE ABOVE EXCLUSIONS MAY NOT APPLY TO YOU.  IN NO EVENT WILL 
// IBM BE LIABLE TO ANY PARTY FOR ANY DIRECT, INDIRECT, SPECIAL OR OTHER CONSEQUENTIAL 
// DAMAGES FOR ANY USE OF THIS SAMPLE CODE INCLUDING, WITHOUT LIMITATION, ANY LOST 
// PROFITS, BUSINESS INTERRUPTION, LOSS OF PROGRAMS OR OTHER DATA ON YOUR INFORMATION 
// HANDLING SYSTEM OR OTHERWISE, EVEN IF WE ARE EXPRESSLY ADVISED OF THE POSSIBILITY OF 
// SUCH DAMAGES.
//
// (C) Copyright IBM Corp. 2001-2003
// All rights reserved.
// US Government Users Restricted Rights -
// Use, duplication, or disclosure restricted
// by GSA ADP Schedule Contract with IBM Corp.
// Licensed Materials - Property of IBM.
//

import java.io.Serializable;
import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.Hashtable;
import java.util.Vector;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.sql.DataSource;

import com.ibm.ejs.cm.pool.ConnectionWaitTimeoutException;
import com.ibm.ejs.cm.portability.StaleConnectionException;

public class TodaySpecial implements Serializable {
	private int todayNumber;
	private float price;
	private String day;
	private String name;
	private String item1;
	private String item2;
	private String item3;
	private DataSource ds = null;
	private static String title = "Employee List";
	/**
	 * Gets the todayNumber
	 * @return Returns a int
	 */
	public int getTodayNumber() {
		return todayNumber;
	}
	/**
	 * Sets the todayNumber
	 * @param todayNumber The todayNumber to set
	 */
	public void setTodayNumber(int todayNumber) {
		this.todayNumber = todayNumber;
	}

	/**
	 * Gets the price
	 * @return Returns a float
	 */
	public float getPrice() {
		return price;
	}
	/**
	 * Sets the price
	 * @param price The price to set
	 */
	public void setPrice(float price) {
		this.price = price;
	}

	/**
	 * Gets the day
	 * @return Returns a String
	 */
	public String getDay() {
		return day;
	}
	/**
	 * Sets the day
	 * @param day The day to set
	 */
	public void setDay(String day) {
		this.day = day;
	}

	/**
	 * Gets the name
	 * @return Returns a String
	 */
	public String getName() {
		return name;
	}
	/**
	 * Sets the name
	 * @param name The name to set
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * Gets the item1
	 * @return Returns a String
	 */
	public String getItem1() {
		return item1;
	}
	/**
	 * Sets the item1
	 * @param item1 The item1 to set
	 */
	public void setItem1(String item1) {
		this.item1 = item1;
	}

	/**
	 * Gets the item2
	 * @return Returns a String
	 */
	public String getItem2() {
		return item2;
	}
	/**
	 * Sets the item2
	 * @param item2 The item2 to set
	 */
	public void setItem2(String item2) {
		this.item2 = item2;
	}

	/**
	 * Gets the item3
	 * @return Returns a String
	 */
	public String getItem3() {
		return item3;
	}
	/**
	 * Sets the item3
	 * @param item3 The item3 to set
	 */
	public void setItem3(String item3) {
		this.item3 = item3;
	}
	public void execute() {
		this.setTodayNumber(1);
		this.setPrice(12);
		this.setName("Moms Best");
		this.setDay("Monday");
		this.setItem1("Salad");
		this.setItem2("Beef");
		this.setItem3("Pie");
	}

	private void getDSEW() {
		try {
			// Note the new Initial Context Factory interface available in WebSphere 4.0
			Hashtable parms = new Hashtable();
			parms.put(
				Context.INITIAL_CONTEXT_FACTORY,
				"com.ibm.websphere.naming.WsnInitialContextFactory");
			InitialContext ctx = new InitialContext(parms);
			// Perform a naming service lookup to get the DataSource object.
			ds = (DataSource) ctx.lookup("jdbc/MyCafe");
		} catch (Exception e) {
			System.out.println("Naming service exception: " + e.getMessage());
			e.printStackTrace();
		}
	}

	public void getData() {
		Connection conn = null;
		Statement stmt = null;
		ResultSet rs = null;
		Vector employeeList = new Vector();
		// Set retryCount to the number of times you would like to retry after
		// a StaleConnectionException
		int retryCount = 5;
		// If the Database code processes successfully, we will set error = false
		boolean error = true;
		if (ds == null)
			this.getDSEW();
		do {
			try {
				// Get a Connection object conn using the DataSource factory.
				conn = ds.getConnection();
				// Run DB query using standard JDBC coding.
				stmt = conn.createStatement();
				String query =
					"Select day, special, balance "
						+ "from Today WHERE TODAYNUMBER = "
						+ getTodayNumber();
				rs = stmt.executeQuery(query);
				while (rs.next()) {
					setDay(rs.getString(1));
					setName(rs.getString(2));
					setPrice(rs.getFloat(3));
				}
				//Set error to false to indicate successful completion of the database work
				error = false;
			} catch (com.ibm.ejs.cm.pool.ConnectionWaitTimeoutException cw) {
				// This exception is thrown if a connection can not be obtained from the
				// pool within a configurable amount of time. Frequent occurrences of
				// this exception indicate an incorrectly tuned connection pool
				System.out.println(
					"Connection Wait Timeout Exception during getconnection or process SQL : "
						+ cw.getMessage());

				//In general, we do not want to retry after this exception,
				// so set the retry count to 0
				retryCount = 0;
			} catch (com.ibm.websphere.ce.cm.StaleConnectionException sc) {
				// This exception indicates that the connection to the database is no longer valid.
				// Retry the operation several times to attempt to obtain a valid connection, display
				// an error message if the connection still can not be obtained.
				System.out.println(
					"Stale Connection Exception during get connection orprocess SQL : "
						+ sc.getMessage());
				if (--retryCount == 0) {
					System.out.println("Five stale connection exceptions, displaying errorpage.");
				}
			} catch (SQLException sq) {
				System.out.println(
					"SQL Exception during get connection or process SQL: " + sq.getMessage());
				//In general, we do not want to retry after this exception, so set retry count to 0
				retryCount = 0;
			} catch (Exception e) {
				System.out.println(
					"Exception in get connection or process SQL: " + e.getMessage());
				//In general, we do not want to retry after this exception, so set retry count to 5
				retryCount = 0;
			} finally {
				// Always close the connection in a finally statement to ensure proper
				// closure in all cases. Closing the connection does not close and
				// actual connection, but releases it back to the pool for reuse.
				if (rs != null) {
					try {
						rs.close();
					} catch (Exception e) {
						System.out.println("Close Resultset Exception: " + e.getMessage());
					}
				}
				if (stmt != null) {
					try {
						stmt.close();
					} catch (Exception e) {
						System.out.println("Close Statement Exception: " + e.getMessage());
					}
				}
				if (conn != null) {
					try {
						conn.close();
					} catch (Exception e) {
						System.out.println("Close connection exception: " + e.getMessage());
					}
				} // end if
			}
		}
		while (error == true && retryCount > 0);

	}
	/**
	 * Gets the ds
	 * @return Returns a DataSource
	 */
	public DataSource getDs() {
		return ds;
	}
	/**
	 * Sets the ds
	 * @param ds The ds to set
	 */
	public void setDs(DataSource ds) {
		this.ds = ds;
	}

}