REM
REM This example contains programming source code (Sample Code) for your use in learning.  IBM 
REM grants you a nonexclusive copyright license to use this Sample Code for the purpose of 
REM learning and as an example from which you can generate similar function tailored to your 
REM own specific needs. This Sample Code is provided by IBM for illustrative purposes only 
REM and has not been thoroughly tested under all conditions.  IBM, therefore, cannot guarantee
REM or imply reliability, serviceability, or function of this Sample Code.  IBM provides no 
REM program services for this Sample Code.  All Sample Code contained herein is provided to 
REM you "AS IS" without any warranties of any kind.  
REM
REM THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND 
REM NON-INFRINGMENT ARE EXPRESSLY DISCLAIMED.  SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION 
REM OF IMPLIED WARRANTIES, SO THE ABOVE EXCLUSIONS MAY NOT APPLY TO YOU.  IN NO EVENT WILL 
REM IBM BE LIABLE TO ANY PARTY FOR ANY DIRECT, INDIRECT, SPECIAL OR OTHER CONSEQUENTIAL 
REM DAMAGES FOR ANY USE OF THIS SAMPLE CODE INCLUDING, WITHOUT LIMITATION, ANY LOST 
REM PROFITS, BUSINESS INTERRUPTION, LOSS OF PROGRAMS OR OTHER DATA ON YOUR INFORMATION 
REM HANDLING SYSTEM OR OTHERWISE, EVEN IF WE ARE EXPRESSLY ADVISED OF THE POSSIBILITY OF 
REM SUCH DAMAGES.
REM
REM (C) Copyright IBM Corp. 2001-2003
REM All rights reserved.
REM US Government Users Restricted Rights -
REM Use, duplication, or disclosure restricted
REM by GSA ADP Schedule Contract with IBM Corp.
REM Licensed Materials - Property of IBM.
REM
@echo off
REM + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
REM   THIS BATCH FILE IS USED TO CONFIGURE WHERE YOU HAVE THE REQUIRED SOFTWARE FOR COMPLETION
REM   OF THIS LAB INSTALLED. YOU CAN UPDATE THESE ENVIRONMENT VARIABLES AND THE BATCH FILES
REM   USED SHOULD STILL RUN CORRECTLY.
REM + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
REM   If you need to make updates, update the values on the SET= lines below. Pay close attention to the
REM   descriptions of what these values are....if you omit a "\" for example, the batch files will 
REM   obviously not work correctly. Your best option may be to create a backup of this file in the event
REM   something goes wrong in the update of this file.
REM ***************************************************************************************************
REM   DB2INSTALLDRIVE 
REM                       is the drive on which DB2 is installed...specify drive letter followed by a ":"
REM ***************************************************************************************************
SET DB2INSTALLDRIVE=C:
REM ***************************************************************************************************
REM   DB2INSTALLDIRECTORY 
REM                       is the directory where DB2 is installed. Specify up through SQLLIB and 
REM                       a "\" is required at the beginning. For example, if DB2 is installed in 
REM                       C:\Program Files, you would have "\Program Files\SQLLIB" for this value.
REM ***************************************************************************************************
SET DB2INSTALLDIRECTORY=\SQLLIB
REM ***************************************************************************************************
REM   DB2INSTALLDIRECTORY_USEDWITHWSADMIN
REM                       is the directory where DB2 is installed -- see notes for DB2INSTALLDIRECTORY.
REM                       The difference, however, is a "/" vs. the "\".
REM ***************************************************************************************************
SET DB2INSTALLDIRECTORY_USEDWITHWSADMIN=/SQLLIB
REM ***************************************************************************************************
REM   WSADV5INSTALLDRIVE
REM                       is the drive on which the WebSphere Studio Application Developer is
REM                       installed...specify drive letter followed by a ":"
REM ***************************************************************************************************
SET WSADV5INSTALLDRIVE=C:
REM ***************************************************************************************************
REM   WSADV5
REM                       is the directory where the WebSphere Studio Application Developer is
REM                       installed. A "\" is required at the beginning of this path.
REM ***************************************************************************************************
SET WSADV5=\Program Files\IBM\WebSphere Studio
REM ***************************************************************************************************
REM   LABFILES50INSTALLDRIVE
REM                       is the drive to which you have extracted LabFiles50......specify drive letter 
REM                       followed by a ":"
REM ***************************************************************************************************
SET LABFILES50INSTALLDRIVE=C:
REM ***************************************************************************************************
REM   WEBSPHERE_APPSERVER_INSTALLDRIVE
REM                       is the drive on which the WebSphere Application Server has been installed.
REM                       Specify drive letter followed by a ":"
REM ***************************************************************************************************
SET WEBSPHERE_APPSERVER_INSTALLDRIVE=C:
REM ***************************************************************************************************
REM   WEBSPHERE_ND_INSTALLDRIVE
REM                       is the drive on which the WebSphere Network Deployment has been installed.
REM                       Specify drive letter followed by a ":"
REM ***************************************************************************************************
SET WEBSPHERE_ND_INSTALLDRIVE=C:
REM ***************************************************************************************************
REM   WEBSPHERE_APPSERVER_ROOT
REM                       is the path where the WebSphere Application Server has been installed.
REM                       There is no beginning "\" or ending "\".
REM ***************************************************************************************************
SET WEBSPHERE_APPSERVER_ROOT=WebSphere\AppServer
REM ***************************************************************************************************
REM   WEBSPHERE_APPSERVER_ROOT_USEDWITHWSADMIN
REM                       is the path where the WebSphere Application Server has been installed.
REM                       This is exactly the same as WEBSPHERE_APPSERVER_ROOT except the "slash" in
REM                       the middle of this path slants up to the right for use within the
REM                       wsadmin scripting tool.
REM ***************************************************************************************************
SET WEBSPHERE_APPSERVER_ROOT_USEDWITHWSADMIN=WebSphere/AppServer
REM ***************************************************************************************************
REM   WEBSPHERE_DEPLOYMENTMANAGER_ROOT
REM                       is the path where the WebSphere Network Deployment has been installed.
REM                       There is no beginning "\" or ending "\".
REM ***************************************************************************************************
SET WEBSPHERE_DEPLOYMENTMANAGER_ROOT=WebSphere\DeploymentManager
REM ***************************************************************************************************
REM   WEBSPHERE_DEPLOYMENTMANAGER_ROOT_USEDWITHWSADMIN
REM                       is the path where the WebSphere Network Deployment has been installed.
REM                       This is exactly the same as WEBSPHERE_DEPLOYMENTMANAGER_ROOT except the 
REM                       "slash" in the middle of this path slants up to the right for use within
REM                       the wsadmin scripting tool.
REM ***************************************************************************************************
SET WEBSPHERE_DEPLOYMENTMANAGER_ROOT_USEDWITHWSADMIN=WebSphere/DeploymentManager
REM ***************************************************************************************************
REM   HTTPSERVERINSTALLDRIVE 
REM                       is the drive on which the IBM HTTP Server is installed...specify drive 
REM			  letter followed by a ":"
REM ***************************************************************************************************
SET HTTPSERVERINSTALLDRIVE=C:
REM ***************************************************************************************************
REM   HTTPSERVERINSTALLDIRECTORY 
REM                       is the directory where the IBM HTTP Server is installed. Specify up through
REM 			  IBMHTTPSERVER and a "\" is required at the beginning. For example, if the IBM
REM 			  HTTP Server is installed in C:\Program Files, you would have
REM 			  "\Program Files\IBMHTTPSERVER" for this value.
REM ***************************************************************************************************
SET HTTPSERVERINSTALLDIRECTORY=\IBMHTTPSERVER