package com.ibm.mybank.client;

// general enterprise beans
import java.rmi.RemoteException;
import javax.ejb.CreateException;
import javax.ejb.FinderException;

// Enterprise bean specific for this application
import com.ibm.mybank.ejb.*;

// JNDI (naming)
import javax.naming.*;  // for Context, InitialContext, NamingException

// Miscellaneous 
import java.awt.*;
import javax.swing.*;
import java.awt.event.*;
import java.util.*;
import java.io.*;

public class CMRSetup {
   

   // Enterprise bean related
   private Customer customer = null;

/**
 * The main entrypoint to the TransferApplication when it is run as a Java application.
 * @param args java.lang.String[] The arguments to the Transfer application. There are none.
 */
   public static void main(String[] args) {
	try {
		System.out.println("Will create 10 Customers for you\n");
		System.out.println("Getting the Customer home...\n");
		Context ctx = new InitialContext();
      	// Get the home object  MC
      	Object homeObject = ctx.lookup("java:comp/env/ejb/Customer"); //*****MC
      	// Get the CustomerHome 
         	CustomerHome customerHome = (CustomerHome)javax.rmi.PortableRemoteObject.narrow(homeObject, CustomerHome.class);		
		System.out.println("Done....\n");
		for (int i=1; i<=10; i++) {			
		System.out.println("Creating customer number "+i+"...\n");
		customerHome.create(new CustomerKey(i),  "CUSTOMER"+i, "SSN"+i);
		//customerHome.create(new Integer(i), "CUSTOMER"+i, "SSN"+i);				
		System.out.println("Done...\n");
		} 
		System.out.println("All done! \n");

	   } catch (Exception e) {
		System.out.println("Exception caught! \n");
		e.printStackTrace();
	   }

	}

}

