package com.ibm.mybank.client;

// general enterprise beans
import java.rmi.RemoteException;
import javax.ejb.CreateException;
import javax.ejb.FinderException;

// Enterprise bean specific for this application
import com.ibm.mybank.ejb.*;

// JNDI (naming)
import javax.naming.*;  // for Context, InitialContext, NamingException

// Miscellaneous 
import java.awt.*;
import javax.swing.*;
import java.awt.event.*;
import java.util.*;
import java.io.*;

public class CMRVerify {
   

   // Enterprise bean related
   private Customer customer = null;

/**
 * The main entrypoint to the TransferApplication when it is run as a Java application.
 * @param args java.lang.String[] The arguments to the Transfer application. There are none.
 */
   public static void main(String[] args) {
	try {
		System.out.println("Gets the account numbers owned by a certain customer\n");
		
		System.out.println("Getting the customer home...\n");
		Context ctx = new InitialContext();
      	// Get the home object  MC
      	Object homeObject = ctx.lookup("java:comp/env/ejb/Customer"); //*****MC
      	// Get the CustomerHome 
         	CustomerHome customerHome = (CustomerHome)javax.rmi.PortableRemoteObject.narrow(homeObject, CustomerHome.class);		
		System.out.println("Done....\n");
		System.out.println("Finding the customer....");
		CustomerKey cKey = new CustomerKey(Long.parseLong(args[0]));
		
		Customer customer = customerHome.findByPrimaryKey(cKey);
//		Customer customer = customerHome.findByPrimaryKey(new Integer(Integer.parseInt(args[0])));
		System.out.println("Done....");
		Collection accountNumbers = customer.getOwnedAccountNumbers();
		Iterator it = accountNumbers.iterator();
		
		while (it.hasNext()) {			
		System.out.println("Account Number: "+ ((Long) it.next()).longValue()); 
		} 
		System.out.println("All done! \n");

	   } catch (Exception e) {
		System.out.println("Exception caught! \n");
		e.printStackTrace();
	   }

	}

}

